%define pypi_name amqp

Name:           python-%{pypi_name}
Version:        5.3.1
Release:        %mkrel 2
Summary:        Low-level AMQP client for Python (fork of amqplib)

Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.org/project/amqp
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Low-level AMQP client for Python.

This is a fork of amqplib, maintained by the Celery project.

This library should be API compatible with librabbitmq.

%package -n python3-%{pypi_name}
Summary:        Client library for AMQP
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Low-level AMQP client for Python 3.

This is a fork of amqplib, maintained by the Celery project.

This library should be API compatible with librabbitmq.

%package doc
Summary:        Documentation for python-amqp
Group:          Documentation
License:        LGPLv2+

%description doc
Documentation for python-amqp.

%prep
%setup -q -n %{pypi_name}-%{version}

sed -i 's|vine>=5.0.0,<6.0.0|vine>=5.0.0|' requirements/default.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc Changelog LICENSE README.rst

%files doc
%doc LICENSE docs/


%changelog
* Tue Jan 28 2025 daviddavid <daviddavid> 5.3.1-2.mga10
+ Revision: 2142861
- remove unneeded python3-nose build dependency

* Sun Dec 15 2024 papoteur <papoteur> 5.3.1-1.mga10
+ Revision: 2125338
- new version 5.3.1

* Mon Feb 26 2024 daviddavid <daviddavid> 5.2.0-1.mga10
+ Revision: 2044468
- new version: 5.2.0
- rebuild for py3.12

* Mon Sep 05 2022 neoclust <neoclust> 5.1.1-1.mga9
+ Revision: 1883946
- New version 5.1.1

* Thu Mar 24 2022 umeabot <umeabot> 5.0.9-3.mga9
+ Revision: 1825137
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 5.0.9-2.mga9
+ Revision: 1785824
- rebuild for python-3.10

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 5.0.9-1.mga9
+ Revision: 1771087
- version 5.0.9

* Sat Jun 26 2021 wally <wally> 5.0.6-2.mga9
+ Revision: 1733008
- Rebuild for python 3.9

* Sun Jun 20 2021 joequant <joequant> 5.0.6-1.mga9
+ Revision: 1731391
- update to 5.0.6

* Sun Nov 22 2020 guillomovitch <guillomovitch> 5.0.2-1.mga8
+ Revision: 1648485
- new version 5.0.2

* Tue Sep 08 2020 guillomovitch <guillomovitch> 5.0.1-1.mga8
+ Revision: 1623650
- new version 5.0.1

* Sun Feb 16 2020 umeabot <umeabot> 2.5.1-3.mga8
+ Revision: 1533120
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 2.5.1-2.mga8
+ Revision: 1443540
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 18 2019 wally <wally> 2.5.1-1.mga8
+ Revision: 1429688
- new version 2.5.1

* Wed Apr 17 2019 wally <wally> 2.4.2-1.mga7
+ Revision: 1392188
- new version 2.4.2

* Mon Jan 07 2019 shlomif <shlomif> 2.3.2-1.mga7
+ Revision: 1350997
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.2.2-2.mga7
+ Revision: 1288235
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 2.2.2-1.mga7
+ Revision: 1210508
- Update to version 2.2.2
- Renamed python-amqp to python2-amqp

* Sat Aug 05 2017 pterjan <pterjan> 1.4.9-2.mga7
+ Revision: 1135303
- Rebuild for python 3.6

* Mon Feb 15 2016 daviddavid <daviddavid> 1.4.9-1.mga6
+ Revision: 961243
- new version: 1.4.9
- use new python macros

* Fri Oct 09 2015 shlomif <shlomif> 1.4.7-1.mga6
+ Revision: 888333
- New version 1.4.7;Rebuild for Python3 3.5.x

* Wed Oct 15 2014 umeabot <umeabot> 1.4.5-4.mga5
+ Revision: 749847
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.5-3.mga5
+ Revision: 728035
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.5-2.mga5
+ Revision: 687880
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 pterjan <pterjan> 1.4.5-1.mga5
+ Revision: 640195
- 1.4.5

* Sat May 31 2014 pterjan <pterjan> 1.4.4-3.mga5
+ Revision: 629720
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.4.4-2.mga5
+ Revision: 628451
- Rebuild for new Python

* Mon Mar 31 2014 kharec <kharec> 1.4.4-1.mga5
+ Revision: 610814
- update to 1.4.4

* Mon Oct 28 2013 pterjan <pterjan> 1.3.1-1.mga4
+ Revision: 547761
- 1.3.1

* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-3.mga4
+ Revision: 542918
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.0-2.mga4
+ Revision: 498095
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 pterjan <pterjan> 1.3.0-1.mga4
+ Revision: 494361
- 1.3.0

* Sun Oct 06 2013 pterjan <pterjan> 1.2.1-1.mga4
+ Revision: 492045
- 1.2.1

* Thu Sep 05 2013 pterjan <pterjan> 1.0.12-1.mga4
+ Revision: 475324
- 1.0.12

* Sun Aug 18 2013 pterjan <pterjan> 1.0.11-1.mga4
+ Revision: 467391
- Mageiaize + simplify
- imported package python-amqp


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Eric Harney <eharney@redhat.com> - 1.0.11-1
- Initial package
